#include <stdio.h>
#include <malloc.h>

int main()
{
    int Uslov(int, int);
    int T;

    scanf("%d", &T);
    int* Resenja = (int*)calloc(T, sizeof(int));


    for (int i = 0; i < T; ++i)
    {
        int N, M, K;
        scanf("%d %d %d", &N, &M, &K);

        if (M >= Uslov(N, K) && N >= K)
        {
            if (N > 1 && K == 1)
            {
                Resenja[i] = 0;
                continue;
            }

            Resenja[i] = 1;
            continue;
        }

        Resenja[i] = 0;
    }

    for (int i = 0; i < T; ++i)
    {
        if (Resenja[i])
        {
            printf("Tak\n");
        }
        else
        {
            printf("Nie\n");
        }
    }
}

int Uslov(int BrojUcenika, int BrojGrupa)
{
    int PrvaGrupa = BrojUcenika - BrojGrupa + 1;

    int potrebanBroj = 0;

    for (int i = 1; i <= PrvaGrupa; ++i)
    {
        potrebanBroj += i;
    }

    potrebanBroj += BrojGrupa - 1;

    return potrebanBroj;
}